SDL_AudioSpec Struct Reference

`#include <SDL_audio.h>`

## Data Fields

int | freq
SDL_AudioFormat | format
Uint8 | channels
Uint8 | silence
Uint16 | samples
Uint16 | padding
Uint32 | size
SDL_AudioCallback | callback
void * | userdata

## Detailed Description

The calculated values in this structure are calculated by SDL_OpenAudio().

Definition at line 168 of file SDL_audio.h.

## Field Documentation

SDL_AudioCallback SDL_AudioSpec::callback

Callback that feeds the audio device (NULL to use SDL_QueueAudio()).

Definition at line 177 of file SDL_audio.h.

Referenced by audio_initOpenCloseQuitAudio(), audio_lockUnlockOpenAudioDevice(), audio_openCloseAndGetAudioStatus(), audio_openCloseAudioDeviceConnected(), audio_pauseUnpauseAudio(), iteration(), open_audio_device(), SDL_GetQueuedAudioSize(), SDL_QueueAudio(), SDL_RunAudio(), and test_multi_audio().

Uint8 SDL_AudioSpec::channels

Number of channels: 1 mono, 2 stereo

Definition at line 172 of file SDL_audio.h.

Referenced by audio_buildAudioCVT(), audio_buildAudioCVTNegative(), audio_convertAudio(), audio_initOpenCloseQuitAudio(), audio_lockUnlockOpenAudioDevice(), audio_openCloseAndGetAudioStatus(), audio_openCloseAudioDeviceConnected(), audio_pauseUnpauseAudio(), main(), open_audio_device(), prepare_audiospec(), SDL_CalculateAudioSpec(), SDL_LoadWAV_RW(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

SDL_AudioFormat SDL_AudioSpec::format

Audio data format

Definition at line 171 of file SDL_audio.h.

Referenced by audio_buildAudioCVT(), audio_buildAudioCVTNegative(), audio_convertAudio(), audio_initOpenCloseQuitAudio(), audio_lockUnlockOpenAudioDevice(), audio_openCloseAndGetAudioStatus(), audio_openCloseAudioDeviceConnected(), audio_pauseUnpauseAudio(), main(), open_audio_device(), prepare_audiospec(), SDL_CalculateAudioSpec(), SDL_LoadWAV_RW(), SDL_MixAudio(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

int SDL_AudioSpec::freq

DSP frequency – samples per second

Definition at line 170 of file SDL_audio.h.

Referenced by audio_buildAudioCVT(), audio_buildAudioCVTNegative(), audio_convertAudio(), audio_initOpenCloseQuitAudio(), audio_lockUnlockOpenAudioDevice(), audio_openCloseAndGetAudioStatus(), audio_openCloseAudioDeviceConnected(), audio_pauseUnpauseAudio(), main(), open_audio_device(), prepare_audiospec(), SDL_LoadWAV_RW(), SDL_RunAudio(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

Uint16 SDL_AudioSpec::padding

Necessary for some compile environments

Definition at line 175 of file SDL_audio.h.

Uint16 SDL_AudioSpec::samples

Audio buffer size in samples (power of 2)

Definition at line 174 of file SDL_audio.h.

Referenced by audio_initOpenCloseQuitAudio(), audio_lockUnlockOpenAudioDevice(), audio_openCloseAndGetAudioStatus(), audio_openCloseAudioDeviceConnected(), audio_pauseUnpauseAudio(), open_audio_device(), prepare_audiospec(), SDL_CalculateAudioSpec(), SDL_LoadWAV_RW(), SDL_RunAudio(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

Uint8 SDL_AudioSpec::silence

Audio buffer silence value (calculated)

Definition at line 173 of file SDL_audio.h.

Referenced by play_through_once(), SDL_BufferQueueDrainCallback(), SDL_CalculateAudioSpec(), and SDL_RunAudio().

Uint32 SDL_AudioSpec::size

Audio buffer size in bytes (calculated)

Definition at line 176 of file SDL_audio.h.

Referenced by open_audio_device(), SDL_CalculateAudioSpec(), and SDL_RunAudio().

void* SDL_AudioSpec::userdata

Userdata passed to callback (ignored for NULL callbacks).

Definition at line 178 of file SDL_audio.h.

Referenced by audio_initOpenCloseQuitAudio(), audio_lockUnlockOpenAudioDevice(), audio_openCloseAndGetAudioStatus(), audio_openCloseAudioDeviceConnected(), audio_pauseUnpauseAudio(), iteration(), open_audio_device(), SDL_RunAudio(), and test_multi_audio().

The documentation for this struct was generated from the following file:

- include/SDL_audio.h